ARK editor 2.8.2 problem

This forum is for general questions about extensions for Joomla! 3.x.

Moderators: pe7er, General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10.
Post Reply
User avatar
witzker1
Joomla! Apprentice
Joomla! Apprentice
Posts: 24
Joined: Sat Sep 29, 2012 9:22 pm

ARK editor 2.8.2 problem

Post by witzker1 » Sun Jul 25, 2021 2:47 pm

Hi
I tried to update the ARK editor from version 2.6.15 to the latest version 2.8.2
I get this:

Warnung
JInstaller: :Install: Die Joomla!-XML-Installationsdatei konnte nicht gefunden werden.
Vor der Aktualisierung ist zu prüfen, dass diese auch kompatibel mit der eingesetzten Joomla!-Installation ist.
Fehler
Failed to extract file: pkg_arkeditor2.8.2.zip

then I installed the ARK extension manager: pkg_arkmanager1.0.16.zip
tried to update from there
ERROR

Then I uninstalled the ARK editor from the manger. -> OK
the tried to install from the Manager -> FAILED!

What's wrong?
Pls help
THX

marc_gold
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Sun Jul 25, 2021 5:54 pm

Re: ARK editor 2.8.2 problem

Post by marc_gold » Sun Jul 25, 2021 6:00 pm

Having exactly the same issue. Have removed old version first too.
Tried installing using the extension Manager -> Install Failed
Tried uploading to the tmp folder -> Failed
Tried Installing from Web -> Failed

Even tried switching from Nginx to pure Apache - but no luck.

Error message in log files is:
AH01071: Got error 'PHP message: PHP Warning: simplexml_load_file(): /var/www/vhosts/***********.co.uk/httpdocs/tmp/install_60fda2c85d30e/pkg_arkeditor/pkg_arkeditor.xml:146: parser error : Opening and ending tag mismatch: version line 7 and extension in /var/www/vhosts.........

Any Ideas.

User avatar
witzker1
Joomla! Apprentice
Joomla! Apprentice
Posts: 24
Joined: Sat Sep 29, 2012 9:22 pm

Re: ARK editor 2.8.2 problem

Post by witzker1 » Sun Jul 25, 2021 9:02 pm

Ups! There seems really something BAD!
I wrote that 2.8.1 had problems like this, and it should be solved in 2.8.2!

BUT IT ISN'T!

I hope that the guys will take care soon!

Is there a better place to report this Problem?

User avatar
AMurray
Joomla! Champion
Joomla! Champion
Posts: 7066
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: ARK editor 2.8.2 problem

Post by AMurray » Sun Jul 25, 2021 9:54 pm

I was researching the problem you have on Arkeditors forum and found a similar question to which the Solution was - uninstall the old version and then install the new.

Can you try uninstalling 2.6.15 and just install 2.8.2?
Their change log recommends a 'refresh install' if updating from a version < 2.8.0 (in your case 2.6.15).
http://arkextensions.com/changelogs/ark-editor/basic

I don't know what support you might get from the developer if you don't have the active subscription.

Is your Joomla version current - is your server running a recent/most updated PHP version (7.4.21 or 8.0.2)
Last edited by AMurray on Sun Jul 25, 2021 10:02 pm, edited 1 time in total.
Regards - A Murray

User avatar
witzker1
Joomla! Apprentice
Joomla! Apprentice
Posts: 24
Joined: Sat Sep 29, 2012 9:22 pm

Re: ARK editor 2.8.2 problem

Post by witzker1 » Sun Jul 25, 2021 10:02 pm

AMurray wrote:
Sun Jul 25, 2021 9:54 pm
I was researching the problem you have on Arkeditors forum and found a similar question to which the Solution was - uninstall the old version and then install the new.

Can you try uninstalling 2.6.15 and just install 2.8.2?
THX Pls read my first post saying that I uninstalled and installed!!

Latest Joomla installed 3.9.28
But Problems to switch to PHP 7.4 I'm still on 7.3.29

marc_gold
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Sun Jul 25, 2021 5:54 pm

Re: ARK editor 2.8.2 problem

Post by marc_gold » Sun Jul 25, 2021 10:33 pm

Hi

Thanks for the reply, and yes to all of the above.

Tried removing the old version and reinstalling. Joomla is the latest version, I literally did the update before updating the mods and pkgs. I've checked php too and I'm on the latest version of 7.4 available for the plesk server.

I have tried this across 3 sites that had the editor installed and its the same on all - 2 different servers but all updating from 2.7.1

I'm totally stumped. I would have thought that if this was a major issue there would be a lot more reports on the forum. Looks like I'm going to need to get my client to buy a subscription so we can raise a ticket.

njwjf
Joomla! Apprentice
Joomla! Apprentice
Posts: 7
Joined: Sun Sep 01, 2013 4:43 am

Re: ARK editor 2.8.2 problem

Post by njwjf » Tue Jul 27, 2021 10:41 am

same issue here:
Warning
JInstaller: :Install: Can't find Joomla XML setup file.
Error
Unable to detect manifest file.

Found the solution
line 7 of the file: pkg_arkeditor.xml is:
<version type="free">2.8.2/version>
it should be :
<version type="free">2.8.2</version>

I extracted the files from the downloaded zip package, edited the above line, rezipped the files and it now installs OK
No idea why it doesn't fail on everyone's system. Maybe there are some 'xml interpreters' that ignore mal-formed tags

tstajduhar
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Tue Jul 27, 2021 10:44 am

Re: ARK editor 2.8.2 problem

Post by tstajduhar » Tue Jul 27, 2021 10:45 am

Found the solution, for us at least.

Within installation package, there is a file pkg_arkeditor.xml. On line 7, the <version> tag is not properly closed. Close it, rezip the package and it should work.

Edit: above poster beat me to it by mere minutes :D

marc_gold
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Sun Jul 25, 2021 5:54 pm

Re: ARK editor 2.8.2 problem

Post by marc_gold » Tue Jul 27, 2021 10:50 am

Nice find!! :) Thank You
Can confirm that this worked perfectly.

tstajduhar
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Tue Jul 27, 2021 10:44 am

Re: ARK editor 2.8.2 problem

Post by tstajduhar » Tue Jul 27, 2021 10:51 am

marc_gold, your error log snippet helped a lot, so good job in posting that!

User avatar
witzker1
Joomla! Apprentice
Joomla! Apprentice
Posts: 24
Joined: Sat Sep 29, 2012 9:22 pm

Re: ARK editor 2.8.2 problem

Post by witzker1 » Thu Jul 29, 2021 8:58 am

Ahh..
THX

Will this also be corrected in the original installation file for "normal" Users?

So that the installation works correct "Out of the Box"?

What I get is:
Package - Ark Editor Site Paket 2.6.15 2.8.2 Unbekannt

After try to update:
Warnung
Duplicate entry 'notification' for key 'plugin'
Paket Aktualisierung: Bei der Installation der Erweiterung trat ein Fehler auf: com_arkeditor.zip
Vor der Aktualisierung ist zu prüfen, dass diese auch kompatibel mit der eingesetzten Joomla!-Installation ist.
Fehler
Fehler beim Aktualisieren von Paket.

njwjf
Joomla! Apprentice
Joomla! Apprentice
Posts: 7
Joined: Sun Sep 01, 2013 4:43 am

Re: ARK editor 2.8.2 problem

Post by njwjf » Fri Jul 30, 2021 11:54 am

witzker1 wrote:
Thu Jul 29, 2021 8:58 am
Will this also be corrected in the original installation file for "normal" Users?
As per this bug report it seems they have updated the package so it should install correctly now:
http://arkextensions.com/report-a-bug/a ... ll-package

User avatar
witzker1
Joomla! Apprentice
Joomla! Apprentice
Posts: 24
Joined: Sat Sep 29, 2012 9:22 pm

Re: ARK editor 2.8.2 problem

Post by witzker1 » Tue Aug 03, 2021 11:32 am

Uninstall - then - Install
WORX!

THX


Post Reply

Return to “Extensions for Joomla! 3.x”